Bug 518209 - Rebase iasl to latest upstream version
Summary: Rebase iasl to latest upstream version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iasl
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 518109 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-08-19 13:51 UTC by Eduardo Habkost
Modified: 2013-01-09 21:52 UTC (History)
4 users (show)

Fixed In Version: iasl-20090123-1.el5
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The iasl package was updated to version 20090123, that includes the fix for bug #518109.
Clone Of:
Environment:
Last Closed: 2010-03-30 08:19:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0226 normal SHIPPED_LIVE iasl bug fix and enhancement update 2010-03-29 12:34:25 UTC

Description Eduardo Habkost 2009-08-19 13:51:38 UTC
The iasl version present on RHEL-5.4 is very old, and the source isn't even available upstream anymore.

Considering that the only critical use case of iasl is for building the ACPI tables on the KVM package build, and there are existing bugs on the current RHEL-5.4 version, rebasing to a newer upstream version should be safer than keeping the old version on RHEL-5.5.

Some of the bugs on the current iasl version are:

Bug #499540	iasl: "-g" option cannot get ACPI tables
Bug #499552	iasl: Fail to compiling it after disassemble AML file
Bug #500279	iasl: "-a" option is not available
Bug #499772	iasl: Fail to compiling it after disassemble AML file
Bug #518109	Need to update iasl to properly decode DMAR tables

Comment 2 Eduardo Habkost 2009-08-27 15:59:27 UTC
iasl will be updated to version 20090123, from http://www.acpica.org/download/acpica-unix-20090123.tar.gz

Comment 3 Eduardo Habkost 2009-08-27 16:01:18 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The iasl package was updated to version 20090123, that includes the fix for bug #518109.

Comment 8 errata-xmlrpc 2010-03-30 08:19:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0226.html


Note You need to log in before you can comment on or make changes to this bug.